This is searchable archive of our old support forums, which operated from 2012 - 2016. To find out how to get support for your current theme, please visit our support page.

Plugin Install 'TGM_Bulk_Installer' not found

  • Creator
    Topic
  • #21245
    hoolee
    Member

    I purchased this theme yesterday. Last night I tried to install the recommended plugins, but I get the following error;

    Fatal error: Class ‘TGM_Bulk_Installer’ not found in /hxxx2/nxxxxxx4/public_html/wp-content/themes/alyeska/framework/admin/plugins/class-tgm-plugin-activation.php on line 1589

Viewing 7 replies - 1 through 7 (of 7 total)
  • Author
    Replies
  • #21250
    Jason Bobich
    Keymaster

    Hi,

    We had some issues with ThemeForest last night. Can you tell me what version of the theme you have?

    The version this error would exist in, shouldn’t have got pushed to ThemeForest for anyone to download, and as far as I can tell, it didn’t. That’s why I’m trying to figure out what version you have.

    Also when you downloaded, from ThemeForest, did you download the installable theme zip or All Files and Documentation zip?

    #21253
    Jason Bobich
    Keymaster

    Also, is it possible that you have any other plugins installed, which include a similar method of recommending other plugins? I’m wondering if there is a conflict there.

    This would be the most logical answer, assuming you got the right version from ThemeForest, which should be v3.1.6.

    #21254
    hoolee
    Member

    Hi Jason,

    Yes, the version I’m using is 3.1.6.

    I’m not entirely sure what I downloaded when I downloaded from ThemeForest, I just clicked on whatever button to download was there. I don’t remember having to choose files. If it helps, in order to register here, I had to go back in and choose the download for the “License Certificate & Purchase Code (PDF)”.

    How would I verify if I have other plugins installed that may be causing a conflict? And how would I resolve the issue if it exists? (My apologies, I’m a total noobie with WordPress).

    Thanks!

    #21255
    hoolee
    Member

    Note: According to my local files and my FTP, the file I downloaded is “themeforest-164366-alyeska-responsive-wordpress-theme”. The file I uploaded to the server is “alyeska”, which was found under “alyeska-3.1.6”.

    #21257
    hoolee
    Member

    Also, I have gone into “alyeska/framework/admin/plugins” and “class-tgm-plugin-activation.php” which I opened using TopStyle. I looked at line 1589 as referred to in the error message, but I honestly have no idea what I’m really looking for at that point.

    #21259
    Jason Bobich
    Keymaster

    Ok, so you have the correct version of the theme.

    I believe this error you’re referencing would only exist if you had another plugin that was including this same plugin installer class, and overriding the one I include in the theme (which I have fixed to not have this error).

    If you don’t want to try and find the plugin causing the conflict and deactivate it, the workaround is simply to just click “Install” and then “Activate” for each plugin individually. It’ll just take an extra minute or two, but it’s not really a huge deal.

    This video shows what I mean in installing and activating an individual plugin: https://vimeo.com/125592994

    #21260
    hoolee
    Member

    Thanks so much, Jason. That seems to have worked! Your help has been greatly appreciated. 🙂

Viewing 7 replies - 1 through 7 (of 7 total)
  • The forum ‘Alyeska Responsive WordPress Theme’ is closed to new topics and replies.